## GwyGradientEditor

GwyGradientEditor — Color gradient editor

## Functions

void | gwy_app_gradient_editor ()

## Types and Values

struct | GwyGradientEditor
struct | GwyGradientEditorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GwyResourceEditor
                                ╰── GwyGradientEditor

## Implemented Interfaces

GwyGradientEditor implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwyapp/gwyapp.h>

## Description

GwyGradientEditor is the application color gradient editor. The interface is currently extremely simple: `gwy_app_gradient_editor()` invokes the editor (or brings it forward) and then it's user-controlled.

## Functions

### gwy_app_gradient_editor()

    void
    gwy_app_gradient_editor (void);

Creates or presents color gradient editor.

Gradient editor is singleton, therefore if it doesn't exist, this function creates and displays it. If it already exists, it simply calls `gtk_window_present()` on the existing instance. It exists until it's closed by user.

## Types and Values

### struct GwyGradientEditor

    struct GwyGradientEditor;

### struct GwyGradientEditorClass

    struct GwyGradientEditorClass {
        GwyResourceEditorClass parent_class;
    };